# Retrieve Accrued Interests
source: https://developer.mastercard.com/mastercard-processing-credit/documentation/sandbox-testing/credit-card/retrieve-accrued-interests/index.md

## Test case -- Success {#test-case--success}

This test case describes retrieving accrued interests for a specified contract stored in the CMS.
Note: For `contracts/{contract_id}/accrued-interests`, the sandbox stores two records with a different account type values so you can test the optional filtering by using the `account_type_filters` query parameter.

**Sample request**

`GET /contracts/70001/accrued-interests`

**Sample response**

`200`

```JSON
{
    "contractAccruedInterests": [
        {
            "accountName": "Billed Retail",
            "accountType": "CCA",
            "balance": 1000,
            "currency": "EUR",
            "currencyNumericCode": "978",
            "interestAccrued": 3.01
        },
        {
            "accountName": "Billed Cash",
            "accountType": "CF",
            "balance": 1000,
            "currency": "EUR",
            "currencyNumericCode": "978",
            "interestAccrued": 3.01
        }
    ]
}
```

